Bug 438230 - ia64: suspecious compile warning in brew
ia64: suspecious compile warning in brew
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Luming Yu
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 15:38 EDT by Don Zickus
Modified: 2013-08-05 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:24:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Zickus 2008-03-19 15:38:16 EDT
Description of problem:

When checking the build log diffs between -85.el5 and -86.el5, the following
warning popped up and looked interesting:

arch/ia64/kernel/head.S:###: Warning: Use of 'ldf.fill.nta' violates RAW
dependency 'CR[PTA]' (data)mm/mmap.
c: In function 'split_vma':

Went through the patch queue and could not find a likely culprit.  

Version-Release number of selected component (if applicable):
kernel-2.6.18-86.el5

How reproducible:


Steps to Reproduce:
1. Run -86.el5 through brew
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Luming Yu 2008-03-20 04:48:15 EDT
Tried rpmbuild -ba -85.el5  as well as -86.el5.

I do see occurances of warning of ld.fill.nta violates RW, but not 
in function "split_vma.,,

The building box is: rhel5.2 beta with gcc version 4.1.2 20071124 (Red Hat
4.1.2-41).






Comment 2 Prarit Bhargava 2008-03-20 06:20:35 EDT
upstream commit 091062284c05d13b3393f4fcfcedc0f52cb948b4 will fix this.

Luming -- do you know what srlz.d does?

P.
Comment 3 Luming Yu 2008-03-23 23:05:34 EDT
srlz.d does data serialization. 
According to IPF SDM,Serialization is needed to ensure new values in PTA are
visible to the hardware Virtual Hash Page Table  (VHPT) walker before a
dependent instruction fetch or data access.
Comment 4 Luming Yu 2008-03-23 23:16:10 EDT
Prarit, 
thanks for the finding, I will post it .

Thanks,
Luming
Comment 6 RHEL Product and Program Management 2008-04-08 14:59:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Don Zickus 2008-07-18 16:07:04 EDT
in kernel-2.6.18-98.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 13 errata-xmlrpc 2009-01-20 15:24:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.